Summary: Perforce Software Configuration Management System
Name: perforce
Version: r00.2
Release: 1
Group: Development/Version Control
Copyright: Commercial
Url: http://www.perforce.com/
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.perforce.com/perforce/r00.2/bin.linux52x86/p4
Source1: ftp://ftp.perforce.com/perforce/r00.2/bin.linux52x86/p4d
Source2: ftp://ftp.perforce.com/perforce/r00.2/doc/man/p4.1
Source3: ftp://ftp.perforce.com/perforce/r00.2/doc/man/p4d.1
Source4: p4d.init
BuildRoot: /var/tmp/%{name}-root

%description
Perforce Software Configuration Management System.


%prep
%setup -c -T


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin,man/man1}
install -p -m0755 %{SOURCE0} $RPM_BUILD_ROOT/usr/bin
install -p -m0755 %{SOURCE1} $RPM_BUILD_ROOT/usr/sbin
install -p -m0644 %{SOURCE2} $RPM_BUILD_ROOT/usr/man/man1
install -p -m0644 %{SOURCE3} $RPM_BUILD_ROOT/usr/man/man1

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -p -m0755 %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/p4d

mkdir -p $RPM_BUILD_ROOT/var/{lib,log}/perforce


%pre
/usr/sbin/groupadd -g 120 -r -f p4admin
/usr/sbin/useradd -c "Perforce Server" -r -n -s /bin/bash -u 120 -g p4admin \
	-d /var/lib/perforce perforce 2>/dev/null || :

%post
/sbin/chkconfig --add p4d

%preun
/sbin/chkconfig --del p4d

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/userdel perforce 2>/dev/null || :
	/usr/sbin/groupdel p4admin 2>/dev/null || :
fi


%files
%defattr(-,root,root)
%config /etc/rc.d/init.d/p4d
/usr/bin/*
/usr/sbin/*
/usr/man/man1/*
%attr(750,perforce,p4admin) /var/lib/perforce
%attr(750,perforce,p4admin) /var/log/perforce


%clean
rm -rf $RPM_BUILD_ROOT

